{% extends "base.html" %}
{% block title %}System clocks{% endblock %}
{% block content %}

<h2>ADM106x report</h2>

{% for name, device in data.items() %}

<h3>{{name}}: {{device["device_type"]}}
  {% if device["error"] %}
  <span class="badge rounded-pill bg-danger">ERROR</span>
  {% endif %}
</h3>

{% if device["error"] %}

<div class="alert alert-danger">
  {{device['error']}}
</div>

{% else %}
<div class="container">

<h4>Input pins</h4>

<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Name</th>
      <th scope="col">ADC readout [V]</th>
      <th scope="col">UV limit [V]</th>
      <th scope="col">OV limit [V]</th>            
      <th scope="col">Function</th>
      <th scope="col">Fault select</th>
      <th scope="col">Status</th>
    </tr>
  </thead>
  <tbody>

  	{% for label, pin in device["inputs"].items() | sort %}
    
    {% if pin["adc"]["fault"] %}
    <tr class="table-danger">
    {% elif pin["adc"]["warning"] %}
    <tr class="table-warning">
    {% else %}
    <tr>
    {% endif %}

    {% if pin["type"] == "aux" %}
        <th scope="row">{{ label }}</th>
        <td>{{ "{:.3f}".format(pin["adc"]["volts"]) }}</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    {% else %}
        <th scope="row">{{ label }}</th>
        <td>{{ "{:.3f}".format(pin["adc"]["volts"]) }}</td>
        {% if pin["uv_hysteresis"] %}
          <td>{{ "{:.3f}".format(pin["uv_threshold"]) }} &plusmn; {{ "{:.3f}".format(pin["uv_hysteresis"]) }}</td>
        {% else %}
          <td>{{ "{:.3f}".format(pin["uv_threshold"]) }}</td>
        {% endif %}

        {% if pin["ov_hysteresis"] %}
          <td>{{ "{:.3f}".format(pin["ov_threshold"]) }} &plusmn; {{ "{:.3f}".format(pin["ov_hysteresis"]) }}</td>
        {% else %}
          <td>{{ "{:.3f}".format(pin["ov_threshold"]) }}</td>
        {% endif %}
        
        {% if pin["type"] == "vx" %}        
        <td>{{ pin["function"] }}</td>
        {% else %}
        <td>&nbsp;</td>
        {% endif %}

        <td>{{ pin["fault_select"] }}</td>
        <td>{{ pin['adc']["fault_summary"] }}</td>
    {% endif %}
    </tr>

    {% endfor %}

  </tbody>
</table>


<h4>DAC pins</h4>

<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">DAC#</th>
      <th scope="col">Output [V]</th>
    </tr>
  </thead>
  <tbody>

    {% for label, pin in device["dac"].items() %}
      <tr>
        <th scope="row">{{ label }}</th>
        {% if pin["enabled"] %}
        <td>{{ "{:.3f}".format(pin["adc"]["volts"]) }}</td>
        {% else %}
        <td>(disabled)</td>
        {% endif %}
      </tr>
    {% endfor %}

  </tbody>
</table>


<h4>PDO pins</h4>
<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">PDO #</th>
      <th scope="col">Status</th>
      <th scope="col">Pull-up</th>
    </tr>
  </thead>
  <tbody>
    {% for label, pin in device["pdo"].items() %}
    <tr>
      <th scope="row">{{label}} </th>
      <td>{{pin["status"]}}</td>
      <td>{{pin["pullup"]}}</td>
    </tr>
    {% endfor %}
  </tbody>
</table>

</div>
{% endif %}

<hr>

{% endfor %}

{% endblock %}